Bug 984360 - Review Request: joyce - Amstrad PCW and PCW16 Emulator
Review Request: joyce - Amstrad PCW and PCW16 Emulator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
: 984361 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 00:49 EDT by Christopher Meng
Modified: 2013-08-09 13:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: joyce-2.2.5-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 13:02:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
negativo17: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-15 00:49:16 EDT
Spec URL: http://cicku.me/joyce.spec
SRPM URL: http://cicku.me/joyce-2.2.5-1.fc20.src.rpm
Description: JOYCE is an Amstrad PCW and PCW16 emulator.
Fedora Account System Username: cicku
Comment 1 Susi Lehtola 2013-07-15 05:01:09 EDT
*** Bug 984361 has been marked as a duplicate of this bug. ***
Comment 2 Simone Caronni 2013-07-22 04:19:16 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in joyce
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in joyce-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "*No copyright* GPL (v2
     or later) (with incorrect FSF address)", "GPL (v2 or later)", "LGPL (v2
     or later) (with incorrect FSF address)", "Unknown or generated". 64 files
     have unknown license. Detailed output of licensecheck in
     /home/slaanesh/Documents/fedora/984360-joyce/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 614400 bytes in 9 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Simone Caronni <negativo17@gmail.com>
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[-]: Packages are noarch unless they use JNI
     Note: joyce subpackage is not noarch. Please verify manually
[-]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2283520 bytes in /usr/share 2283520
     joyce-2.2.5-1.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: joyce-2.2.5-1.fc20.x86_64.rpm
          joyce-devel-2.2.5-1.fc20.x86_64.rpm
joyce.x86_64: W: spelling-error Summary(en_US) Amstrad -> Amsterdam
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskid ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskform ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/xanne ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskutil ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/md3serial ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/apriboot ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskdump ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/xjoyce ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskscan ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dsktrans ['/usr/lib64']
joyce.x86_64: E: library-without-ldconfig-postin /usr/lib64/libdsk.so.3.2.4
joyce.x86_64: E: library-without-ldconfig-postun /usr/lib64/libdsk.so.3.2.4
joyce.x86_64: E: library-without-ldconfig-postin /usr/lib64/lib765.so.3.1.2
joyce.x86_64: E: library-without-ldconfig-postun /usr/lib64/lib765.so.3.1.2
joyce.x86_64: E: incorrect-fsf-address /usr/share/doc/joyce-2.2.5/COPYING
joyce.x86_64: E: library-without-ldconfig-postin /usr/lib64/liblink.so.1.0.0
joyce.x86_64: E: library-without-ldconfig-postun /usr/lib64/liblink.so.1.0.0
joyce.x86_64: W: no-manual-page-for-binary dskid
joyce.x86_64: W: no-manual-page-for-binary dskutil
joyce.x86_64: W: no-manual-page-for-binary dsktrans
joyce.x86_64: W: no-manual-page-for-binary xjoyce
joyce.x86_64: W: no-manual-page-for-binary md3serial
joyce.x86_64: W: no-manual-page-for-binary xanne
joyce.x86_64: W: no-manual-page-for-binary apriboot
joyce.x86_64: W: no-manual-page-for-binary dskscan
joyce.x86_64: W: no-manual-page-for-binary dskform
joyce.x86_64: W: no-manual-page-for-binary dskdump
joyce-devel.x86_64: W: no-documentation
joyce-devel.x86_64: E: incorrect-fsf-address /usr/include/cpmredir.h
joyce-devel.x86_64: E: incorrect-fsf-address /usr/include/liblink.h
joyce-devel.x86_64: E: incorrect-fsf-address /usr/include/765.h
2 packages and 0 specfiles checked; 20 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint joyce-devel joyce
joyce-devel.x86_64: W: no-documentation
joyce-devel.x86_64: E: incorrect-fsf-address /usr/include/cpmredir.h
joyce-devel.x86_64: E: incorrect-fsf-address /usr/include/liblink.h
joyce-devel.x86_64: E: incorrect-fsf-address /usr/include/765.h
joyce.x86_64: W: spelling-error Summary(en_US) Amstrad -> Amsterdam
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskid ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskform ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/xanne ['/usr/lib64']
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdsk.so.3.2.4 /lib64/libpng16.so.16
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdsk.so.3.2.4 /lib64/libxml2.so.2
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdsk.so.3.2.4 /lib64/libz.so.1
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdsk.so.3.2.4 /lib64/libm.so.6
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdsk.so.3.2.4 /lib64/libdl.so.2
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdsk.so.3.2.4 /lib64/libSDL-1.2.so.0
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_pwrite
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_xtread
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_open
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_get_psh
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_strerror
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_dirty
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_pseek
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_close
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_creat
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_xread
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_drive_status
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_pformat
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_getgeom
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_psecid
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_pread
joyce.x86_64: W: undefined-non-weak-symbol /usr/lib64/lib765.so.3.1.2 dsk_xwrite
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/lib765.so.3.1.2 /lib64/libpng16.so.16
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/lib765.so.3.1.2 /lib64/libxml2.so.2
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/lib765.so.3.1.2 /lib64/libz.so.1
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/lib765.so.3.1.2 /lib64/libm.so.6
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/lib765.so.3.1.2 /lib64/libdl.so.2
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/lib765.so.3.1.2 /lib64/libSDL-1.2.so.0
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/lib765.so.3.1.2 /lib64/libpthread.so.0
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblink.so.1.0.0 /lib64/libpng16.so.16
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblink.so.1.0.0 /lib64/libxml2.so.2
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblink.so.1.0.0 /lib64/libz.so.1
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblink.so.1.0.0 /lib64/libm.so.6
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblink.so.1.0.0 /lib64/libdl.so.2
joyce.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblink.so.1.0.0 /lib64/libSDL-1.2.so.0
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskutil ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/md3serial ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/apriboot ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskdump ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/xjoyce ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskscan ['/usr/lib64']
joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dsktrans ['/usr/lib64']
joyce.x86_64: E: library-without-ldconfig-postin /usr/lib64/libdsk.so.3.2.4
joyce.x86_64: E: library-without-ldconfig-postun /usr/lib64/libdsk.so.3.2.4
joyce.x86_64: E: library-without-ldconfig-postin /usr/lib64/lib765.so.3.1.2
joyce.x86_64: E: library-without-ldconfig-postun /usr/lib64/lib765.so.3.1.2
joyce.x86_64: E: incorrect-fsf-address /usr/share/doc/joyce-2.2.5/COPYING
joyce.x86_64: E: library-without-ldconfig-postin /usr/lib64/liblink.so.1.0.0
joyce.x86_64: E: library-without-ldconfig-postun /usr/lib64/liblink.so.1.0.0
joyce.x86_64: W: no-manual-page-for-binary dskid
joyce.x86_64: W: no-manual-page-for-binary dskutil
joyce.x86_64: W: no-manual-page-for-binary dsktrans
joyce.x86_64: W: no-manual-page-for-binary xjoyce
joyce.x86_64: W: no-manual-page-for-binary md3serial
joyce.x86_64: W: no-manual-page-for-binary xanne
joyce.x86_64: W: no-manual-page-for-binary apriboot
joyce.x86_64: W: no-manual-page-for-binary dskscan
joyce.x86_64: W: no-manual-page-for-binary dskform
joyce.x86_64: W: no-manual-page-for-binary dskdump
2 packages and 0 specfiles checked; 20 errors, 47 warnings.
# echo 'rpmlint-done:'



Requires
--------
joyce-devel (rpmlib, GLIBC filtered):
    joyce(x86-64)
    lib765.so.3()(64bit)
    libdsk.so.3()(64bit)
    liblink.so.1()(64bit)

joyce (rpmlib, GLIBC filtered):
    lib765.so.3()(64bit)
    libSDL-1.2.so.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdsk.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    liblink.so.1()(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
joyce-devel:
    joyce-devel
    joyce-devel(x86-64)

joyce:
    joyce
    joyce(x86-64)
    lib765.so.3()(64bit)
    libdsk.so.3()(64bit)
    liblink.so.1()(64bit)



Source checksums
----------------
http://www.seasip.info/Unix/Joyce/joyce-2.2.5b.tar.gz :
  CHECKSUM(SHA256) this package     : e3b6b9ba73af49cf8ad21d35f86e88a52e41e98ba5a655ef72481bbe30eec8b7
  CHECKSUM(SHA256) upstream package : e3b6b9ba73af49cf8ad21d35f86e88a52e41e98ba5a655ef72481bbe30eec8b7


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 984360
Comment 3 Simone Caronni 2013-07-22 04:25:31 EDT
(In reply to Simone Caronni from comment #2)
> - ldconfig called in %post and %postun if required.
>   Note: /sbin/ldconfig not called in joyce
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
> joyce.x86_64: E: library-without-ldconfig-postin /usr/lib64/libdsk.so.3.2.4
> joyce.x86_64: E: library-without-ldconfig-postun /usr/lib64/libdsk.so.3.2.4
[...]

Please add:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

> [!]: Rpath absent or only used for internal libs.
>      Note: See rpmlint output
> joyce.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/dskid ['/usr/lib64']
> [...]

Please add the following to the spec file; regenerating the %configure script with autotools solves the issues:

--- joyce.spec.old	2013-07-22 10:22:32.409074418 +0200
+++ joyce.spec	2013-07-22 10:22:39.841008109 +0200
@@ -6,9 +6,12 @@
 URL:            http://www.seasip.info/Unix/Joyce
 Source0:        http://www.seasip.info/Unix/Joyce/%{name}-%{version}b.tar.gz
 
+BuildRequires:  autoconf
+BuildRequires:  automake
 BuildRequires:  SDL-devel
 BuildRequires:  libxml2-devel
 BuildRequires:  libpng-devel
+BuildRequires:  libtool
 
 %description
 JOYCE is an Amstrad PCW and PCW16 emulator.
@@ -25,6 +28,7 @@
 %setup -qn %{name}-%{version}b
 
 %build
+autoreconf -v -f --install
 %configure --enable-shared --disable-static
 make %{?_smp_mflags}

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (v2 or later) (with incorrect FSF address)", "*No copyright* GPL
> (v2
>      or later) (with incorrect FSF address)", "GPL (v2 or later)", "LGPL (v2
>      or later) (with incorrect FSF address)", "Unknown or generated". 64
> files
>      have unknown license. Detailed output of licensecheck in
>      /home/slaanesh/Documents/fedora/984360-joyce/licensecheck.txt

These are the licenses found by licensecheck; please adjust (GPLv2+ and LGPLv2+ should be ok):

- *No copyright* GPL (v2 or later) (with incorrect FSF address)
- GPL (v2 or later)
- GPL (v2 or later) (with incorrect FSF address)
- LGPL (v2 or later) (with incorrect FSF address)
- Unknown or generated

> [!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
>      Note: Found : Packager: Simone Caronni <negativo17@gmail.com>

This is my local .rpmmacros, please ignore.
Comment 4 Simone Caronni 2013-07-22 04:27:46 EDT
If you are building only for Fedora and not EPEL 6, in the install section, instead of:

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.*a' -exec rm -f {} ';'

Please use:

%install
%make_install
find %{buildroot} -name '*.*a' -delete
Comment 5 Simone Caronni 2013-07-22 04:30:59 EDT
Just cosmetic, please sort BuildRequires:

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libpng-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  SDL-devel
Comment 6 Simone Caronni 2013-07-22 04:48:48 EDT
(In reply to Simone Caronni from comment #3)
> These are the licenses found by licensecheck; please adjust (GPLv2+ and
> LGPLv2+ should be ok):

Well, probably only changing from GPLv2 to GPLv2+ will suffice.
Comment 7 Christopher Meng 2013-07-22 22:53:08 EDT
License fixed.

For the autoreconf problem, I just ping upstream.

Hope news later.
Comment 8 Simone Caronni 2013-07-26 04:45:00 EDT
If you want the review to proceed, you can just apply the aforementioned changes to the spec file; it is perfectly acceptable to add autotools in BuildRequires.

You can later remove them when you get feedback from upstream.
Comment 9 Christopher Meng 2013-07-26 05:31:11 EDT
NEW SPEC URL: http://cicku.me/joyce.spec
NEW SRPM URL: http://cicku.me/joyce-2.2.5-2.fc20.src.rpm
Comment 10 Simone Caronni 2013-07-26 06:15:19 EDT
Package approved.

One question, what does "Split out data subpackage" in the changelog mean? There's no data subpackage.
Comment 11 Christopher Meng 2013-07-27 01:46:06 EDT
Wrong changelog, will be fixed in SCM.

Thanks for your review.
Comment 12 Christopher Meng 2013-07-27 01:47:13 EDT
New Package SCM Request
=======================
Package Name: joyce
Short Description: Amstrad PCW and PCW16 Emulator
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 13 Dennis Gilmore 2013-07-27 14:34:23 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-07-28 21:24:21 EDT
joyce-2.2.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/joyce-2.2.5-2.fc19
Comment 15 Fedora Update System 2013-07-28 21:25:03 EDT
joyce-2.2.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/joyce-2.2.5-2.fc18
Comment 16 Fedora Update System 2013-07-30 13:30:13 EDT
joyce-2.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 17 Fedora Update System 2013-08-09 13:02:42 EDT
joyce-2.2.5-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 18 Fedora Update System 2013-08-09 13:13:01 EDT
joyce-2.2.5-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.